namespace Obelisk
{
	class IThreadObelisk
	{
	public:
		virtual bool IsStopped() = 0;

		virtual CString IntToString(int aNumber, int aLeading0s = 0) = 0;
		virtual void NotifyWindow(int aMessage, int aData) = 0;

		virtual double Random() = 0;
		virtual int Random(int aMin, int aMax) = 0;

		virtual void AttachRenderingContext() = 0;

		virtual bool LoadTexture(CString aName, bool aTransparent) = 0;

		virtual bool LoadSound(CString aName) = 0;

		virtual IReader* OpenDataFile(CString aFileName) = 0;
		virtual IReader* ReadUserFile(CString aFileName) = 0;
		virtual IWriter* WriteUserFile(CString aFileName) = 0;
	};
}